# Send a settlement journal

Throughout the settlement period you will have called the funding endpoint multiple times to mark transfers as funded. At the end of each settlement period (usually daily), you must make a request that sends a journal containing all transfers you wish to settle, and then send the total amount of funds to the pre-agreed deposit bank account.

## Settlement flow summary

Run a process to perform settlement. This can be ad hoc or scheduled to run at the same time daily.

The process should:

- Query for all transfers that are yet to be settled with Wise (all transfers you have called the funding endpoint for since the previous run of the settlement process).
- Query for all completed refunds that are yet to be notified to Wise (all refunded transfers you have been notified using one of the refund methods since the previous run of the settlement process. *This is only applicable for the Net Settlement model.*)


Once you have performed these queries:

1. Calculate the `balanceTransfer` amount based on the logic described above.
2. Get the **client credentials token** to call the settlement journal endpoint.
3. Send the settlement journal request.
4. Deposit the exact total amount of funds from the settlement journal to the pre-agreed deposit bank account with Wise, using the same settlement reference used in the settlement journal.


Total settlement amount calculation
`totalSettlementAmount` = Sum of (`sourceAmount` * `exchangeRate`)

The settlement journal endpoint receives the settlement and performs basic verification, such as JSON format checks. Additional verification is performed asynchronously when the transfers are actually settled.

## Settlement journal request

```shell curl
curl -i -X POST \
  https://api.wise.com/2026Q4/settlements \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "TRUSTED_BULK_SETTLEMENT",
    "settlementReference": "TPFB190322",
    "settlementDate": "2019-03-22T23:59:59-05:00",
    "transfers": [
      {
        "id": 125678,
        "date": "2019-03-22T10:00:12-05:00",
        "sourceAmount": 23.24,
        "sourceCurrency": "USD",
        "customerName": "Joe Bloggs",
        "partnerReference": "11111",
        "comment": "Extra Data"
      },
      {
        "id": 178889,
        "date": "2019-03-23T12:40:05-05:00",
        "sourceAmount": 125.67,
        "sourceCurrency": "USD",
        "customerName": "Mat Newman",
        "partnerReference": "11112",
        "comment": "Extra Data"
      }
    ],
    "refundedTransfers": [
      {
        "id": 178880,
        "partnerReference": "11108"
      }
    ],
    "balanceTransfer": 0
  }'
```

When sending a payment using bank transfer to settle with Wise, you must include the same reference in your bank transfer's `reference`, `remarks` or `description` field.

### Settlement reference

The settlement journal request includes a field called `settlementReference`. The value you use in this field should be generated by you in the following format:

Settlement reference format
**TPFB + 6-character string**

Example: `TPFB230102`

The 6 characters can be any value as long as they are always unique.

### Settlement date

We recommend including the `settlementDate` if you settle daily, but you may suggest a custom approach when working with your Wise implementation team.

### Cross currency settlement

For cross currency settlements, set the `settlementCurrency` field of the settlement journal request body to the agreed upon currency code. You must also include the `exchangeRate` property (from the source currency (EGP) to the settlement currency (USD)) on every transfer object in the journal.

The rate you choose here should be either unique per transfer, or the same for all transfers, depending on the solution agreed to in your contract with Wise.

You then calculate the amount owed to Wise in the settlement currency by taking the total of the transfers converted at their attached exchange rate and sending this amount to Wise over the agreed scheme.